package com.example.criminalintent;

import java.util.ArrayList;

import android.app.ListFragment;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.CheckBox;
import android.widget.TextView;

public class CrimeListFragment extends ListFragment
{
	private class CrimeAdapter extends ArrayAdapter<Crime>
	{
		public CrimeAdapter(ArrayList<Crime> crimes)
		{
			super(getActivity(), 0, crimes);
		}
		
		public View getView(int position, View convertView, ViewGroup parent)
		{
			if (convertView == null)
			{
				convertView = getActivity().getLayoutInflater().inflate(R.layout.crime_view, null);
			}
			Crime crime = crimes.get(position);
			
			TextView title = (TextView)convertView.findViewById(R.id.crimeTitleField);
			title.setText(crime.getTitle());
			TextView date = (TextView)convertView.findViewById(R.id.crimeDateField);
			date.setText(crime.getDate().toString());
			CheckBox solved = (CheckBox)convertView.findViewById(R.id.solvedCheckBox);
			solved.setChecked(crime.isSolved());
			solved.setEnabled(false);
			return convertView;
		}
	}
	
	private ArrayList<Crime> crimes;
	
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		getActivity().setTitle("Crime List");
		
		crimes = new ArrayList<Crime>();
		Crime crime = new Crime();
		crime.setTitle("Crime of the Centrury");
		crimes.add(crime);
		
		CrimeAdapter adapter = new CrimeAdapter(crimes);
		setListAdapter(adapter);
	}
}
